Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement
Interface ThreadListener

All Known Implementing Classes:
  AccessLogSampler, AjpSampler, BeanShellAssertion, BeanShellListener, BeanShellPostProcessor, BeanShellPreProcessor, BeanShellSampler, BeanShellTestElement, BeanShellTimer, HTTPSampler, HTTPSampler2, HTTPSamplerBase, JMSSampler, JUnitSampler, SessionFilter, SoapSampler, SubscriberSampler, TCPSampler, WebServiceSampler

    public interface ThreadListener

Allow threads to perform startup and closedown if necessary

Method Summary
`void` | `threadFinished()` Called for each thread after all samples have been processed.
`void` | `threadStarted()` Called for each thread before starting sampling.

Method Detail

### threadStarted

    void threadStarted()

  Called for each thread before starting sampling. WARNING: this is called before any Config test elements are processed, so any properties they define will not have been merged in yet.

  See Also:
    `JMeterThread.threadStarted()`

### threadFinished

    void threadFinished()

  Called for each thread after all samples have been processed.

  See Also:
    `JMeterThread.threadFinished()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.